> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Info

` GET /blockscout/blocks/{block_number_or_hash} `

Get Block Info

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` block_number_or_hash ` (path, required)

Block number or hash

- ` value `: type ` string `

## Responses

### ` 200 ` — Block

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` base_fee_per_gas `, ` burnt_fees `, ` burnt_fees_percentage `, ` difficulty `, ` extra_data `, ` gas_limit `, ` gas_target_percentage `, ` gas_used `, ` gas_used_percentage `, ` hash `, ` height `, ` miner `, ` nonce `, ` parent_hash `, ` priority_fee `, ` rewards `, ` size `, ` state_root `, ` timestamp `, ` total_difficulty `, ` transaction_count `, ` transaction_fees `, ` type `, ` uncles_hashes `, ` withdrawals_count `

  - ` base_fee_per_gas `: type ` string `

    - example: ` "26618801760" `

  - ` burnt_fees `: type ` string `

    - example: ` "261263193229977120" `

  - ` burnt_fees_percentage `: type ` number `

    - example: ` 85.19028810863084 `

  - ` difficulty `: type ` string `

    - example: ` "0" `

  - ` extra_data `: type ` string `

    - example: ` "TODO" `

  - ` gas_limit `: type ` string `

    - example: ` "30000000" `

  - ` gas_target_percentage `: type ` number `

    - example: ` -34.56675333333333 `

  - ` gas_used `: type ` string `

    - example: ` "9814987" `

  - ` gas_used_percentage `: type ` number `

    - example: ` 32.71662333333333 `

  - ` hash `: type ` string `

    - example: ` "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a" `

  - ` height `: type ` integer `

    - example: ` 17615720 `

  - ` miner `: type ` object `

    - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

    - ` hash `: type ` string `

      - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

    - ` implementation_name `: type ` string `

      - example: ` "implementationName" `

    - ` name `: type ` string `

      - example: ` "contractName" `

    - ` ens_domain_name `: type ` string `

      - example: ` "domain.eth" `

    - ` metadata `: type ` object `

      - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

    - ` is_contract `: type ` boolean `

    - ` private_tags `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` address_hash `, ` display_name `, ` label `

        - ` address_hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` display_name `: type ` string `

          - example: ` "name to show" `

        - ` label `: type ` string `

          - example: ` "label" `

    - ` watchlist_names `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` display_name `, ` label `

        - ` display_name `: type ` string `

          - example: ` "name to show" `

        - ` label `: type ` string `

          - example: ` "label" `

    - ` public_tags `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` address_hash `, ` display_name `, ` label `

        - ` address_hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` display_name `: type ` string `

          - example: ` "name to show" `

        - ` label `: type ` string `

          - example: ` "label" `

    - ` is_verified `: type ` boolean `

  - ` nonce `: type ` string `

    - example: ` "0x0000000000000000" `

  - ` parent_hash `: type ` string `

    - example: ` "0xd464e02d81e2bdf6bc5fa9b8e33f0b564c464a82d821a3e56531f8636dc00dfa" `

  - ` priority_fee `: type ` string `

    - example: ` "45418705646601378" `

  - ` rewards `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` reward `, ` type `

      - ` reward `: type ` integer `

      - ` type `: type ` string `

        - example: ` "Miner Reward | Emission Reward | Chore Reward | Uncle Reward" `

  - ` size `: type ` integer `

    - example: ` 49997 `

  - ` state_root `: type ` string `

    - example: ` "TODO" `

  - ` timestamp `: type ` string `

    - example: ` "2023-07-03T20:09:59.000000Z" `

  - ` total_difficulty `: type ` string `

    - example: ` "58750003716598352816469" `

  - ` transaction_count `: type ` integer `

    - example: ` 120 `

  - ` transaction_fees `: type ` string `

    - example: ` "306681898876578498" `

  - ` type `: type ` string `

    - example: ` "block" `

  - ` uncles_hashes `: type ` array `

    - ` array item `: type ` string `

      - example: ` "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347" `

  - ` withdrawals_count `: type ` integer `

    - example: ` 16 `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/blocks/string'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/blocks/string', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/blocks/string')
print(response.json())
```